Moving edits incomplete and stalled after renaming a user on the WMF's wikis
Closed, ResolvedPublic

Description

Author: oliver

Description:
In en.wiki, on 29 January 2009 Bureaucrat [[User:Andrevan]] did a WP:CHU changing [[User:WWEFAN99]] to [[User:WWEYANKS5]]. However, the two accounts remain separate, and have not yet merged into one.

See:
*http://en.wikipedia.org/w/index.php?title=Special:Contributions&target=WWEFAN99
*http://en.wikipedia.org/w/index.php?title=Special:Contributions&dir=prev&target=WWEYANKS52


Version: unspecified
Severity: normal

bzimport set Reference to bz17313.
bzimport created this task.Via LegacyFeb 2 2009, 6:12 AM
bzimport added a comment.Via ConduitFeb 2 2009, 6:15 AM

mike.lifeguard+bugs wrote:

Changed summary to better reflect what happened.

MZMcBride added a comment.Via ConduitFeb 2 2009, 7:26 AM

This seems like a broader issue with the extension. I'd advise either broadening the scope of this bug or filing a separate one about the general problem of renames being botched.

As to the specific reason for this issue, my bet is that it's job queue-related. If a user has over 10,000 edits, they're put into the job queue. And the job queue has been having all sorts of issues lately. Post hoc ergo propter hoc?

bzimport added a comment.Via ConduitFeb 5 2009, 5:16 AM

oliver wrote:

How do we go about broadening the scope?

bzimport added a comment.Via ConduitFeb 13 2009, 7:57 PM

mike.lifeguard+bugs wrote:

I think the suspicion was that the job queue was malfunctioning. That's why it was filed as a Wikimedia bug. Someone who can do so should probably check whether that's actually the case and then make sure this is filed as a coding thing or a server thing as appropriate.

bzimport added a comment.Via ConduitMar 20 2009, 5:30 PM

mike.lifeguard+bugs wrote:

Note there is bug 12969 from 2008-02-08 regarding two more cases.

bzimport added a comment.Via ConduitApr 2 2009, 11:52 PM

oliver wrote:

Here is another instance:
http://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Changing_username&diff=279490658&oldid=278818007

User:King of the North East had his username changed in December 2008. Some of his old edits are still listed under his previous username (English Peasant).

aaron added a comment.Via ConduitAug 31 2009, 11:41 PM

(In reply to comment #8)

Here is another instance:
http://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Changing_username&diff=279490658&oldid=278818007

User:King of the North East had his username changed in December 2008. Some of
his old edits are still listed under his previous username (English Peasant).

I only see two edits under "English Peasant".

aaron added a comment.Via ConduitAug 31 2009, 11:42 PM

Note that the rename job queries are much more efficient now and the job queue is stabler (mainly tim fixing bogus jobs from flooding the table).

Catrope added a comment.Via ConduitDec 12 2009, 4:22 PM

(In reply to comment #0)

In en.wiki, on 29 January 2009 Bureaucrat [[User:Andrevan]] did a WP:CHU
changing [[User:WWEFAN99]] to [[User:WWEYANKS5]]. However, the two accounts
remain separate, and have not yet merged into one.

See:
*http://en.wikipedia.org/w/index.php?title=Special:Contributions&target=WWEFAN99
*http://en.wikipedia.org/w/index.php?title=Special:Contributions&dir=prev&target=WWEYANKS52

Both linked contributions lists are empty, and the usernames mentioned don't exist. Nothing to do here for me.

(In reply to comment #4)

Not only is this original bug report unresolved, the same bug is occurring
elsewhere.

Here:
*http://en.wikipedia.org/wiki/Special:Contributions/Terraxos
*http://en.wikipedia.org/wiki/Special:Contributions/Robofish

The former list is empty, this rename also seems to have completed.

Here:
*http://en.wikipedia.org/wiki/Special:Contributions/Politizer
*http://en.wikipedia.org/wiki/Special:Contributions/Rjanag

This move is also complete. Politizer has one edit, but it looks like that was made with a newly created account by the same name.

(In reply to comment #5)

Also here:
*http://en.wikipedia.org/wiki/Special:Contributions/Xenocidic
*http://en.wikipedia.org/wiki/Special:Contributions/Xeno

I see no evidence in the database that one of these users has edits that should really be attributed to the other. If you have any, please provide it.

Here:
*http://en.wikipedia.org/wiki/Special:Contributions/Inclusionist
*http://en.wikipedia.org/wiki/Special:Contributions/Ikip

This rename also seems to be complete.

(In reply to comment #8)

Here is another instance:
http://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Changing_username&diff=279490658&oldid=278818007

User:King of the North East had his username changed in December 2008. Some of
his old edits are still listed under his previous username (English Peasant).

Fixed, 499 edits renamed; note that the original username was English peasant; English Peasant is a different user altogether.

Xeno added a comment.Via ConduitJun 15 2010, 9:35 PM

(In reply to comment #11)

(In reply to comment #5)
> Also here:
> *http://en.wikipedia.org/wiki/Special:Contributions/Xenocidic
> *http://en.wikipedia.org/wiki/Special:Contributions/Xeno
>
I see no evidence in the database that one of these users has edits that should
really be attributed to the other. If you have any, please provide it.

Werdna fixed this for me in Feb 2009, but thank you for your attention to the matter.

Bug still seems to be an issue as seen above, so re-opened.

bzimport added a comment.Via ConduitJun 16 2010, 3:58 PM

ctc_wikimedia wrote:

As mentioned above, I recently had my account re-named on the English Wikipedia from Camaron to CT Cooper for various reasons. All my preferences (including watchlist), logs, and adminship appear to have transferred correctly, however my edits have not moved at all. Note that the Camaron account re-created itself shortly after the re-name:

http://en.wikipedia.org/w/index.php?title=Special:Log&user=Camaron

This is due to SUL, though this new Camaron account is stripped of everything except the e-mail address, password and my old edits.

Xeno added a comment.Via ConduitJun 16 2010, 4:08 PM

(In reply to comment #14)

As mentioned above, I recently had my account re-named on the English Wikipedia
from Camaron to CT Cooper for various reasons. All my preferences (including
watchlist), logs, and adminship appear to have transferred correctly, however
my edits have not moved at all. Note that the Camaron account re-created itself
shortly after the re-name:

This is exactly what happened with my rename; the "Xenocidic" account re-created itself while the "Xeno" account took on the rights and such.

I suspect it may have something to do with the user being active when the bureaucrat does the rename. Asking them to log out of their account prior to carrying out the rename may thus function as a workaround.

Xeno added a comment.Via ConduitJun 22 2010, 3:01 PM

(In reply to comment #12)

Please reopen, as more users experiencing this problem:
*http://en.wikipedia.org/wiki/Special:Contributions/Camaron
*http://en.wikipedia.org/wiki/Special:Contributions/CT_Cooper
Also:
*http://en.wikipedia.org/wiki/Special:Contributions/Bradjamesbrown
*http://en.wikipedia.org/wiki/Special:Contributions/Courcelles

Current discussion is at
http://en.wikipedia.org/wiki/Wikipedia:Changing_username/Usurpations#Tommy2010_.E2.86.92_Astraios

Bradjamesbrown has either moved on its own or been moved manually by a developer.

Looks like Camaron's have begun to move as well.

The discussion referenced was moved to http://en.wikipedia.org/wiki/Wikipedia_talk:CHU#Stalled_renames

bzimport added a comment.Via ConduitJun 22 2010, 9:01 PM

ctc_wikimedia wrote:

(In reply to comment #16)

(In reply to comment #12)
> Please reopen, as more users experiencing this problem:
> *http://en.wikipedia.org/wiki/Special:Contributions/Camaron
> *http://en.wikipedia.org/wiki/Special:Contributions/CT_Cooper
> Also:
> *http://en.wikipedia.org/wiki/Special:Contributions/Bradjamesbrown
> *http://en.wikipedia.org/wiki/Special:Contributions/Courcelles
>
> Current discussion is at
> http://en.wikipedia.org/wiki/Wikipedia:Changing_username/Usurpations#Tommy2010_.E2.86.92_Astraios

Bradjamesbrown has either moved on its own or been moved manually by a
developer.

Looks like Camaron's have begun to move as well.

The discussion referenced was moved to
http://en.wikipedia.org/wiki/Wikipedia_talk:CHU#Stalled_renames

Yes you are right, a "random" sample of my edits from August - September 2009 appear to have suddenly moved. I am not aware of any developer intervention to this particular case at this time, so I assume it is MediaWiki doing it.

bzimport added a comment.Via ConduitJul 2 2010, 1:41 PM

ctc_wikimedia wrote:

All edits appear to have transferred correctly for both my and Courcelles' account. As far as I know there was no developer intervention and that this was just MediaWiki taking its time with transferring edits from re-names of accounts with a high edit count. In that case, I'm marking this as resolved.

HJ_Mitchell added a comment.Via ConduitOct 11 2010, 11:33 PM

This seems to have recurred. en.Wiki User:Zhou Yu recently underwent a name change (he was formerly User:Donald Duck). The rename was done on 16 September and, as of 12 October, the edits from http://en.wikipedia.org/w/index.php?title=Special:Contributions&target=Donald_Duck have yet to transfer to http://en.wikipedia.org/w/index.php?title=Special:Contributions&target=Zhou_Yu

bzimport added a comment.Via ConduitFeb 13 2011, 3:02 PM

RSYQFIOJGWZA wrote:

I suggest creating a way to salt the account names that request successful renames, implementing it on English Wikipedia, and getting consensus of the Bureaucrats there to use it.

Platonides added a comment.Via ConduitFeb 15 2011, 4:21 PM

What do you mean by "salting account names"?

Xeno added a comment.Via ConduitFeb 15 2011, 4:29 PM

I think he means a method to prevent inadvertent recreation. We briefly had the option but it was removed for a reason that escapes me at the moment.

Related: https://bugzilla.wikimedia.org/show_bug.cgi?id=26816

MarkAHershberger added a comment.Via ConduitApr 4 2011, 10:29 PM

Giving to Roan after consulting with Ops.

ArielGlenn added a comment.Via ConduitJul 10 2011, 5:24 PM

Recreation of usernames after rename is still happening as of June 2011. I am doing a bit of user rename cleanup on edits, so if some of these are still issues I'll get to them in a day or two.

bzimport added a comment.Via ConduitJul 13 2011, 5:34 AM

Tivedshambo wrote:

My username change on enwiki, now over a month ago, from Tivedshambo to Optimist on the run, has also failed to complete. See http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29/Archive_91#Incomplete_transfer_of_contributions_following_username_change for details.

ArielGlenn added a comment.Via ConduitJul 14 2011, 9:51 AM

Tivedshambo, er, Optimist on the run, please check to see if the edits are now properly attributed. Thanks.

ArielGlenn added a comment.Via ConduitJul 14 2011, 10:03 AM

User Tombstone -> Vanished User 4517 should now be cleaned up; would someone involved care to double-check? Thanks.

I don't see any edits for User:Donald Duck to be reattributed now.

Cameron and Bradjamesbrown also appear to be ok.

Xenodic to Xeno does not have any old edits to be reattributed.

Are there any pending incomplete renames left?

bzimport added a comment.Via ConduitJul 15 2011, 4:32 PM

Tivedshambo wrote:

(In reply to comment #28)

Tivedshambo, er, Optimist on the run, please check to see if the edits are now
properly attributed. Thanks.

That seems fixed now, thanks.

Arkanosis added a comment.Via ConduitOct 31 2011, 7:31 PM
  • Bug 27846 has been marked as a duplicate of this bug. ***
Arkanosis added a comment.Via ConduitOct 31 2011, 8:03 PM

(I've changed the bug's summary to broaden its scope to other wikis.)

Hello everyone,

We also have some incomplete renames pending on frwiki.

Here is the list of all of them (thanks to fr:User:Akeron):

All of them but Emiaille (who doesn't contribute anymore) have confirmed the issue at https://fr.wikipedia.org/w/index.php?title=Wikipédia:Bulletin_des_bureaucrates#Demande_sur_Bugzilla

Thanks in advance and best regards,

ArielGlenn added a comment.Via ConduitNov 2 2011, 4:12 PM

Did: Emiaille to Mayayu, Ataraxie to Kõan, Calendula to Emizage, Aiolia to Orphée

I could not find log entries for the renames for Mike Coppolano, can you give me pointers? I also couldn't find Ligne Droite to LD. Got a link? (It's possible the script might simply be missing it, I didn't hunt for the entries manually.)

ArielGlenn added a comment.Via ConduitNov 4 2011, 11:20 AM

Mike Coppolano old -> Mike Coppolano is done. More to come later.

ArielGlenn added a comment.Via ConduitNov 4 2011, 2:13 PM

Old Mike Coppolano -> Mike Coppolano is done. The renames for that user should now be complete.

ArielGlenn added a comment.Via ConduitNov 4 2011, 3:29 PM

Litlok done; Ligne Droite to LD done. Warburton1368 to Edinburgh Wanderer done.

Who did I miss?

Arkanosis added a comment.Via ConduitNov 4 2011, 5:10 PM

Hi Ariel, thanks a million for your help!

You have missed nobody, at least for the requests that have been made since July. There are a few contributions left behind for ¹, ² and ³, but I'm pretty sure they were all done after the rename (ie. the account has been re-created). I don't know what's the policy for such issues.

Anyway, I guess it's of lesser importance.

Best regards,

¹ https://en.wikipedia.org/wiki/Special:Contributions/Warburton1368
² https://fr.wikipedia.org/wiki/Sp%C3%A9cial:Contributions/Mike_Coppolano_old
³ https://fr.wikipedia.org/wiki/Sp%C3%A9cial:Contributions/Ligne_Droite

ArielGlenn added a comment.Via ConduitNov 4 2011, 5:15 PM

So I don't know that there is a policy but I just commented on a similar bug so I'll propose the same approach here. If the old user account is still in existence, the user could log in to both the old and the new accounts, edit the new user's talk page from both accounts with a message that both accounts are indeed still the same user, and then a link to that could go here. In my mind that would be good enough for me to move the last edits over.

Xeno added a comment.Via ConduitNov 4 2011, 5:30 PM

I would suggest leaving the after-the-rename edits made from the "newly created old account name" where they are. They truly were made with the "new old" user ID.

Arkanosis added a comment.Via ConduitNov 4 2011, 5:48 PM

(I wrote this before reading xenocidic's answer, so if you think it's better to do nothing, tell me now — I won't do anything before tomorrow morning.)

Ok, i'll drop a message to Warburton1368 and Ligne_Droite (both of them have contributions on other wikis).

The account Mike_Coppolano_old does not exist anymore¹ but there is no doubt it's the same user (several of its contributions are about the rename's issues).

Best regards,

¹ http://toolserver.org/~quentinv57/sulinfo/Mike+Coppolano+old

ArielGlenn added a comment.Via ConduitNov 4 2011, 5:51 PM

Depends on the users. If they want the newer edits, I'm fine with that. It's a one time thing though; if they mistakenly edit from that account later, that's the breaks. So, your call, I'm easy either way.

bzimport added a comment.Via ConduitDec 13 2011, 7:25 PM

mlle.julie.w wrote:

New rename to be fixed:

Account on en.wp changed from "Maedin" to "Julia W": http://en.wikipedia.org/w/index.php?title=Special%3ALog&type=renameuser&user=Nihonjoe&page=User%3AMaedin&year=&month=-1&tagfilter=

About 2,500 edits didn't transfer: http://en.wikipedia.org/wiki/Special:Contributions/Maedin

ArielGlenn added a comment.Via ConduitDec 15 2011, 7:40 AM

Done; please check that everything looks ok.

ArielGlenn added a comment.Via ConduitDec 15 2011, 7:41 AM

Also I'd like to encourage folks to please open *new* bugs for future rename issues; there's no need for everyone cc'd on this to get email every time a new rename is cleaned up ;-)

ArielGlenn added a comment.Via ConduitDec 15 2011, 8:12 AM

Closing this after email from the user confirming that the edits look ok. New bugs for future rename issues, thanks!

Add Comment